FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Ubuntu > Ubuntu Kernel Team

 
 
LinkBack Thread Tools
 
Old 06-08-2010, 02:12 PM
Lee Jones
 
Default UBUNTU: Enable perf to be more helpful when perf_ does not exist.

Just noticed:

> git://kernel.ubuntu.com/lag/ubuntu-lucid.git lp570500

BugLink: git://kernel.ubuntu.com/lag/ubuntu-lucid.git lp570500


--
kernel-team mailing list
kernel-team@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/kernel-team
 
Old 06-09-2010, 06:45 AM
Stefan Bader
 
Default UBUNTU: Enable perf to be more helpful when perf_ does not exist.

The change will more or less only affect the error case. It has been tested in
Maverick. So regression potential is low.

Acked-by: Stefan Bader <stefan.bader@canonical.com>

On 06/08/2010 03:35 PM, Lee Jones wrote:
> Hi all,
>
> This patch as already been excepted in Maverick.
>
> I would also like it to go into Lucid.
>
> The following changes since commit f8b7e92f771b23dafe40a6a1080cd89a3187628e:
> Jerome Glisse (1):
> (pre-stable) drm/radeon/kms: initialize set_surface_reg reg for rs600 asic
>
> are available in the git repository at:
>
> git://kernel.ubuntu.com/lag/ubuntu-lucid.git lp570500
>
> Lee Jones (1):
> UBUNTU: Enable perf to be more helpful when perf_<version> does not exist.
>
> debian/tools/perf | 19 ++++++++++++++-----
> 1 files changed, 14 insertions(+), 5 deletions(-)
>
>
>
> diff --git a/debian/tools/perf b/debian/tools/perf
> index 79253d2..ab35fab 100644 (file)
> --- a/debian/tools/perf
> +++ b/debian/tools/perf
> @@ -1,7 +1,16 @@
> #!/bin/bash
> -version=`uname -r`
> -flavour=${version#*-}
> -flavour=${flavour#*-}
> -version=${version%-$flavour}
> +full_version=`uname -r`
>
> -exec "perf_$version" "$@"
> +# Removing flavour from version i.e. generic or server.
> +flavour_abi=${full_version#*-}
> +flavour=${flavour_abi#*-}
> +version=${full_version%-$flavour}
> +perf="perf_$version"
> +
> +if ! which "$perf" > /dev/null; then
> + echo "$perf not found" >&2
> + echo "You may need to install linux-tools-$version" >&2
> + exit 2
> +fi
> +
> +exec "$perf" "$@"
>
> Kind regards,
> Lee
>


--
kernel-team mailing list
kernel-team@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/kernel-team
 
Old 06-09-2010, 12:41 PM
Tim Gardner
 
Default UBUNTU: Enable perf to be more helpful when perf_ does not exist.

On 06/08/2010 07:35 AM, Lee Jones wrote:
> Hi all,
>
> This patch as already been excepted in Maverick.
>
> I would also like it to go into Lucid.
>
> The following changes since commit f8b7e92f771b23dafe40a6a1080cd89a3187628e:
> Jerome Glisse (1):
> (pre-stable) drm/radeon/kms: initialize set_surface_reg reg for rs600 asic
>
> are available in the git repository at:
>
> git://kernel.ubuntu.com/lag/ubuntu-lucid.git lp570500
>
> Lee Jones (1):
> UBUNTU: Enable perf to be more helpful when perf_<version> does not exist.
>
> debian/tools/perf | 19 ++++++++++++++-----
> 1 files changed, 14 insertions(+), 5 deletions(-)
>
>
>
> diff --git a/debian/tools/perf b/debian/tools/perf
> index 79253d2..ab35fab 100644 (file)
> --- a/debian/tools/perf
> +++ b/debian/tools/perf
> @@ -1,7 +1,16 @@
> #!/bin/bash
> -version=`uname -r`
> -flavour=${version#*-}
> -flavour=${flavour#*-}
> -version=${version%-$flavour}
> +full_version=`uname -r`
>
> -exec "perf_$version" "$@"
> +# Removing flavour from version i.e. generic or server.
> +flavour_abi=${full_version#*-}
> +flavour=${flavour_abi#*-}
> +version=${full_version%-$flavour}
> +perf="perf_$version"
> +
> +if ! which "$perf"> /dev/null; then
> + echo "$perf not found">&2
> + echo "You may need to install linux-tools-$version">&2
> + exit 2
> +fi
> +
> +exec "$perf" "$@"
>
> Kind regards,
> Lee
>

Acked-by: Tim Gardner <tim.gardner@canonical.com>

--
Tim Gardner tim.gardner@canonical.com

--
kernel-team mailing list
kernel-team@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/kernel-team
 

Thread Tools




All times are GMT. The time now is 04:34 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org